#include <bits/stdc++.h>
using namespace std;
string t,s,t2;
int resenje=0,najmanje;
int main (){
    cin>>t>>s;
    t2=t;
    for(int i=0; i<t.size()-1; i++){
            if(t[i]==t[i+1])
            t.erase(i,1);
    }
    for(int i=0; i<t.size()-1; i++){
        if (t.substr(i,s.size())==s){
            resenje++;
            }
    }
    if(resenje==0){
        cout<<0<<endl<<t2<<endl;
    }

}